The Spring Framework

## org.springframework.core.task.support
Class ConcurrentExecutorAdapter

    java.lang.Object
      org.springframework.core.task.support.ConcurrentExecutorAdapter

All Implemented Interfaces:
  Executor

    public class ConcurrentExecutorAdapter

extends Object
implements Executor

Adapter that exposes the `java.util.concurrent.Executor` interface for any Spring `TaskExecutor`. Follows the JDK executor contract for exception handling.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `Executor`, `TaskExecutor`

Constructor Summary
`ConcurrentExecutorAdapter(TaskExecutor taskExecutor)` Create a new ConcurrentExecutorAdapter for the given Spring TaskExecutor.

Method Summary
`void` `execute(Runnable command)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentExecutorAdapter

    public ConcurrentExecutorAdapter(TaskExecutor taskExecutor)

  Create a new ConcurrentExecutorAdapter for the given Spring TaskExecutor.

  Parameters:
    `taskExecutor` - the Spring TaskExecutor to wrap

Method Detail

### execute

    public void execute(Runnable command)

  Specified by:
    `execute` in interface `Executor`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.